package thyyxxk.webserver.entity.medicine;

import lombok.Getter;
import org.jetbrains.annotations.Nullable;
import thyyxxk.webserver.utils.StringUtil;

/**
 * @Description 商品信息删除
 * @Author hsh
 * @Date 2025/5/15 0015 17:38
 */
@Getter
public enum YpTracType {

    // 商品删除字典：1-盘存信息；2-库存变更信息；3-采购信息；4-销售信息
    ONE("1", "盘存信息"),

    TWO("2", "库存变更信息"),

    THREE("3", "采购信息"),

    FOUR("4", "销售信息"),

    ZERO("0", "其他信息"),
    ;



    private final String code;
    private final String name;

    YpTracType(String code, String name) {
        this.code = code;
        this.name = name;
    }

    /**
     * @Description 根据code查找name值
     * @Author hsh
     * @param code 编码
     * @return name 名称
     * @Date 2025/5/15 0015 20:29
     */
    public static @Nullable String findName(String code) {
        if (StringUtil.isBlank(code)) {
            return YpTracType.ZERO.getName();
        }
        for (YpTracType type : YpTracType.values()) {
            if(type.getCode().equals(code)){
                return type.getName();
            }
        }
        return YpTracType.ZERO.getName();
    }
}
